Bug 2965 - pdbedit ignores -U and -G arguments
pdbedit ignores -U and -G arguments
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.10
x86 Linux
: P3 critical
: none
Assigned To: Simo Sorce
Samba QA Contact
http://lists.samba.org/archive/samba/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 02:29 UTC by john ross mcloskey sr.
Modified: 2006-01-25 08:43 UTC (History)
1 user (show)

See Also:


Attachments
pdbedit recognize -U and -G as user account modify options (1.02 KB, patch)
2005-11-14 08:11 UTC, Simo Sorce
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description john ross mcloskey sr. 2005-08-09 02:29:12 UTC
pdbedit ignores all arguments of -U and/or -G disallowing user from modifying or
setting SID and/or GID during account creation. This behavior has occured for
all versions of samba3.x.x on FreeBSD 5.x as well as Linux that I have had the
chance to test. Example below is my personal FedoraCore4 on x86_64 system;

[root@amd64 john]# pdbedit -a -u john -U
'S-1-5-21-1945233005-1863365651-195713610-5000'
new password:
retype new password:
Unix username:        john
NT username:
Account Flags:        [U          ]
User SID:             S-1-5-21-1945233005-1863365651-195713610-2000
Primary Group SID:    S-1-5-21-1945233005-1863365651-195713610-2001
Full Name:
Home Directory:       \\amd64\john
HomeDir Drive:
Logon Script:
Profile Path:         \\amd64\john\profile
Domain:               AMD64
Account desc:
Workstations:
Munged dial:
Logon time:           0
Logoff time:          9223372036854775807 seconds since the Epoch
Kickoff time:         9223372036854775807 seconds since the Epoch
Password last set:    Tue, 09 Aug 2005 04:23:53 GMT
Password can change:  Tue, 09 Aug 2005 04:23:53 GMT
Password must change: 9223372036854775807 seconds since the Epoch
Last bad password   : 0
Bad password count  : 0
Logon hours         : FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
Comment 1 Simo Sorce 2005-11-14 08:11:16 UTC
Created attachment 1570 [details]
pdbedit recognize -U and -G as user account modify options

In samba 3.0.20b I just checked that on creation the -U option is honoured.
Anyway it is not honoured if it is the only one on the commandline meaning you
want to modify it (eg you do not give the -r option to explicitly modify the
entry).

The attacched patch should solve the problem.
Comment 2 Simo Sorce 2006-01-25 08:43:00 UTC
this was fixed, but the bug not closed
fixing